<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Coronavirus Tracker</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
          integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
</head>
<body>
<div class="container">
    <h1>Coronavirus Tracker Application</h1>
    <p>This application show the current number of cases reported across the globe</p>
    <div class="jumbotron">
        <h1 class="display-4" th:text="${totalCases}">Total cases</h1>
        <p class="lead">Total cases reported for now</p>
        <hr class="my-4">
        <p>
        <span>New cases reported since yesterday:</span>
        <span th:text="${totalNewCases}"/>
        </p>
    </div>
    <table class="table">
        <tr>
            <th>State/Region</th>
            <th>Country</th>
            <th>Total cases</th>
            <th>Difference</th>
        </tr>
        <tr th:each="case : ${locationStats}">
            <td th:text="${case.getState()}"/>
            <td th:text="${case.getCountry()}"/>
            <td th:text="${case.getLatestReportedCases()}">0</td>
            <td th:text="${case.getDiffFromPreviousDay()}">0</td>
        </tr>
    </table>
</div>
</body>
</html>